//
// Created by Krad on 2021/11/11.
//

#ifndef GUI_GETIPDIALOG_H
#define GUI_GETIPDIALOG_H

#include "GUIFormBaseDialog.h"
class QLineEdit;
class QLabel;
class GetIPDialog :public  GUIFormBaseDialog {
	Q_OBJECT
public:
	explicit GetIPDialog(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
	~GetIPDialog();
	QStringList getList()const;
	void setList(const QStringList& list);
protected:
	bool updateReferenceData();
private:
	QLineEdit* _ip = nullptr;
	QLineEdit* _mask = nullptr;
	QLabel* lbl_error = nullptr;
};


#endif //GUI_GetIPDialog_H
